Subject: bug#45116: 26.3; refill-mode doesn't allow me to add text at the end of a paragraph

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 08 Sep 2021 11:39:24 +0200

David Klein <[email-masked]> writes:

> If I typed in the text 
>
> "The quick brown
>
> jumped 
>
> over
> "
>
> and then went up to the end of the first line and type the characters '
> [space]' 'H' 'e' 'l' 'l' 'o'
>
> I get
>
> "The quick brownHello"
>
> instead of 
>
> "The quick brown Hello"
>
> i.e. zero spaces instead of one. Only excess whitespace should be removed
> and the first space isn't excess.

I tried reproducing this in various Emacs versions, but I was unable
to -- the space isn't removed (with refill-mode on) when I test this.

Do you have a complete recipe, starting from "emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no